%define name sakuraplayer
%define version 0.1.0
%define release 1mdk

Summary: KDE2-based player for tfmx music from the Amiga
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: kdelibs-devel

%description
Sakura Player is the successor of TFMXcess with a KDE2 GUI. It is based on the tfmx-play sources.
You can use it for tfmx modules from famous amiga games like R-Type or Turrican.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}

%build
rm -f config.cache
#don't use %%configure macro
./configure --prefix=%{_prefix} --disable-rpath 
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_menudir},%{_iconsdir},%{_miconsdir}}
%makeinstall
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
                needs="X11" section="Multimedia/Sound" title="Sakura Player" \
		longtitle="TFMX music player for KDE2"
EOF
ln $RPM_BUILD_ROOT/%{_datadir}/icons/locolor/16x16/apps/%{name}.png $RPM_BUILD_ROOT/%{_miconsdir}
ln $RPM_BUILD_ROOT/%{_datadir}/icons/locolor/32x32/apps/%{name}.png $RPM_BUILD_ROOT/%{_iconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO 8.3converter/*
%doc %{_datadir}/doc/HTML/en/sakuraplayer/*
%{_bindir}/sakuraplayer
%{_datadir}/icons/*
%{_datadir}/applnk/Applications/sakuraplayer.desktop
%{_menudir}/%{name}

%changelog
* Mon Apr 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- initial package

